/// <reference types="react" />
import { FlexProps } from '../Flex';
declare const Pager: ({ totalItems, itemsPerPage, page, nextPage, prevPage, ...props }: PagerProps) => JSX.Element;
export interface PagerProps extends FlexProps {
    totalItems: number;
    itemsPerPage: number;
    page: number;
    nextPage: () => void;
    prevPage: () => void;
}
export default Pager;
