import * as React from 'react';
import { Coloring, DefaultProps, RenditionSystemProps, Sizing, Theme } from '../../common-types';
export interface InternalProgressBarProps extends DefaultProps, Coloring, Sizing {
    value: number;
    color?: string;
    background?: string;
}
export interface ThemedProgressBarProps extends InternalProgressBarProps {
    theme: Theme;
}
export declare type ProgressBarProps = InternalProgressBarProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<ProgressBarProps>;
export default _default;
