"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var utils_1 = require("../../utils");
var Flex_1 = require("../Flex");
var Txt_1 = __importDefault(require("../Txt"));
var Base = styled_components_1.default.hr(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tborder: ", ";\n\twidth: 100%;\n\theight: 0;\n"], ["\n\tborder: ",
    ";\n\twidth: 100%;\n\theight: 0;\n"])), function (props) {
    return utils_1.px(props.height || 0.5) + " " + (props.type || 'solid') + " " + (props.color ||
        props.theme.colors.quartenary.main) + "}";
});
var FlexBase = styled_components_1.default(Base)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tflex: 1 1 0;\n\tmargin: auto;\n"], ["\n\tflex: 1 1 0;\n\tmargin: auto;\n"])));
var Divider = React.forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, otherProps = __rest(_a, ["children", "className"]);
    if (!children) {
        return React.createElement(Base, __assign({ className: className }, otherProps, { ref: ref }));
    }
    if (typeof children !== 'string') {
        throw new Error("The child element of the Divider component must be a string, received: " + typeof children);
    }
    return (React.createElement(Flex_1.Flex, { className: className, width: "100%", flexDirection: "row", justifyContent: "center", ref: ref },
        React.createElement(FlexBase, __assign({}, otherProps)),
        React.createElement(Txt_1.default.span, { color: "tertiary.main", px: 3 }, children),
        React.createElement(FlexBase, __assign({}, otherProps))));
});
exports.default = asRendition_1.default(Divider, [], ['color']);
var templateObject_1, templateObject_2;
